﻿@model List<BusinessPartnerView>

<div id="TableItemsForm">
    <table class="table table-striped">
        <thead>
            <tr>
                <th><strong>@PurchaseOrders.Code</strong></th>
                <th><strong>@PurchaseOrders.Name</strong></th>
                <th><strong>@BusinessPartners.Type</strong></th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (BusinessPartnerView item in Model)
                {
                    string mType = string.Empty;
                    switch (item.CardType)
                    {
                        case "C":
                            mType = BusinessPartners.Customer;
                            break;
                        case "S":
                            mType = BusinessPartners.Vendor;
                            break;
                        case "L":
                            mType = BusinessPartners.Lead;
                            break;
                        default:
                            break;
                    }

                    <tr>
                        <td>@item.CardCode</td>
                        <td>@item.CardName</td>
                        <td>@mType</td>
                        <td>
                            <button type="button" class="btn btn-primary btn-xs" onclick="SetVendor('@item.CardCode','@(item.CardName == null ? "" : item.CardName.Replace("'", "##"))',true);"><span class="glyphicon glyphicon-arrow-right"></span> @PurchaseOrders.Select</button>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>

